osg::AudioStream Class Referenceabstract

`#include <AudioStream>`

Inheritance diagram for osg::AudioStream:

## Public Types

enum | SampleFormat { SAMPLE_FORMAT_U8 , SAMPLE_FORMAT_S16 , SAMPLE_FORMAT_S24 , SAMPLE_FORMAT_S32 , SAMPLE_FORMAT_F32 }
Public Types inherited from osg::Object
enum | DataVariance { DYNAMIC , STATIC , UNSPECIFIED }

## Public Member Functions

| AudioStream ()
| AudioStream (const AudioStream &audio, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
virtual bool | isSameKindAs (const Object *obj) const
virtual const char * | libraryName () const
virtual const char * | className () const
virtual void | setAudioSink (osg::AudioSink *audio_sink)=0
virtual void | consumeAudioBuffer (void *const buffer, const size_t size)=0
virtual int | audioFrequency () const =0
virtual int | audioNbChannels () const =0
virtual SampleFormat | audioSampleFormat () const =0
Public Member Functions inherited from osg::Object
| Object ()
| Object (bool threadSafeRefUnref)
| Object (const Object &, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
virtual Object * | cloneType () const =0
virtual Object * | clone (const CopyOp &) const =0
std::string | getCompoundClassName () const
virtual Node * | asNode ()
virtual const Node * | asNode () const
virtual NodeVisitor * | asNodeVisitor ()
virtual const NodeVisitor * | asNodeVisitor () const
virtual StateSet * | asStateSet ()
virtual const StateSet * | asStateSet () const
virtual StateAttribute * | asStateAttribute ()
virtual const StateAttribute * | asStateAttribute () const
virtual Uniform * | asUniform ()
virtual const Uniform * | asUniform () const
virtual Camera * | asCamera ()
virtual const Camera * | asCamera () const
virtual Drawable * | asDrawable ()
virtual const Drawable * | asDrawable () const
virtual Callback * | asCallback ()
virtual const Callback * | asCallback () const
virtual CallbackObject * | asCallbackObject ()
virtual const CallbackObject * | asCallbackObject () const
virtual UserDataContainer * | asUserDataContainer ()
virtual const UserDataContainer * | asUserDataContainer () const
virtual ValueObject * | asValueObject ()
virtual const ValueObject * | asValueObject () const
virtual Image * | asImage ()
virtual const Image * | asImage () const
virtual void | setThreadSafeRefUnref (bool threadSafe)
virtual void | setName (const std::string &name)
void | setName (const char *name)
const std::string & | getName () const
void | setDataVariance (DataVariance dv)
DataVariance | getDataVariance () const
virtual void | computeDataVariance ()
void | setUserDataContainer (osg::UserDataContainer *udc)
template<class T>
void | setUserDataContainer (const ref_ptr< T > &udc)
osg::UserDataContainer * | getUserDataContainer ()
const osg::UserDataContainer * | getUserDataContainer () const
osg::UserDataContainer * | getOrCreateUserDataContainer ()
virtual void | setUserData (Referenced *obj)
template<class T>
void | setUserData (const ref_ptr< T > &ud)
virtual Referenced * | getUserData ()
virtual const Referenced * | getUserData () const
template<typename T>
bool | getUserValue (const std::string &name, T &value) const
template<typename T>
void | setUserValue (const std::string &name, const T &value)
virtual void | resizeGLObjectBuffers (unsigned int)
virtual void | releaseGLObjects (osg::State *=0) const
template<typename T>
BoolValueObject UCharValueObject UShortValueObject UIntValueObject DoubleValueObject Vec3fValueObject Vec2dValueObject Vec4dValueObject PlaneValueObject MatrixdValueObject BoundingBoxdValueObject BoundingSpheredValueObject bool | getUserValue (const std::string &name, T &value) const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osg::Object
virtual | ~Object ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const
Protected Attributes inherited from osg::Object
std::string | _name
DataVariance | _dataVariance
osg::UserDataContainer * | _userDataContainer
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Detailed Description

Pure virtual AudioStream base class. Subclasses provide mechanism for reading/generating audio data

## Member Enumeration Documentation

## SampleFormat

enum osg::AudioStream::SampleFormat

Enumerator
SAMPLE_FORMAT_U8 |
SAMPLE_FORMAT_S16 |
SAMPLE_FORMAT_S24 |
SAMPLE_FORMAT_S32 |
SAMPLE_FORMAT_F32 |

## Constructor & Destructor Documentation

## AudioStream() [1/2]

osg::AudioStream::AudioStream | ( |  | ) |

Referenced by AudioStream(), and isSameKindAs().

## AudioStream() [2/2]

osg::AudioStream::AudioStream | ( | const AudioStream & | audio,
|  | const CopyOp & | copyop = CopyOp::SHALLOW_COPY )

Copy constructor using CopyOp to manage deep vs shallow copy.

References AudioStream(), and osg::CopyOp::SHALLOW_COPY.

## Member Function Documentation

## audioFrequency()

virtual int osg::AudioStream::audioFrequency | ( |  | ) | const

pure virtual

## audioNbChannels()

virtual int osg::AudioStream::audioNbChannels | ( |  | ) | const

pure virtual

## audioSampleFormat()

virtual SampleFormat osg::AudioStream::audioSampleFormat | ( |  | ) | const

pure virtual

## className()

virtual const char * osg::AudioStream::className | ( |  | ) | const

inline virtual

return the name of the object's class type. Must be defined by derived classes.

Implements osg::Object.

## consumeAudioBuffer()

virtual void osg::AudioStream::consumeAudioBuffer | ( | void *const | buffer,
|  | const size_t | size )

pure virtual

## isSameKindAs()

virtual bool osg::AudioStream::isSameKindAs | ( | const Object * | obj | ) | const

inline virtual

Reimplemented from osg::Object.

References AudioStream(), and osg::Object::Object().

## libraryName()

virtual const char * osg::AudioStream::libraryName | ( |  | ) | const

inline virtual

return the name of the object's library. Must be defined by derived classes. The OpenSceneGraph convention is that the namespace of a library is the same as the library name.

Implements osg::Object.

## setAudioSink()

virtual void osg::AudioStream::setAudioSink | ( | osg::AudioSink * | audio_sink | ) |

pure virtual

The documentation for this class was generated from the following file:

- AudioStream